User-defined zoom limit
Status: Open

Priority: Low

Assignee:

Category: GUI

Pull Request or Patch supplied: Resolution:

Easy fix?: No Copied to github as #: 11397
Description

When using the "zoom map to selected rows" tool in the "Open attribute table" window, the zoom factor is set to 2:1; this value is strictly
related to the scale of the maps currently loaded in the project (e.g. if | have a raster layer with a 1:100.000 scale factor, it has no sense to
set a zoom scale higher than 1:50.000).

Maybe the zoom factor could be specified by the user adding a field in the Settings->Options->Map Tools window, inside the Panning
and zooming box?

History

#1 - 2008-11-10 08:20 AM - zachariahyoder -

| think this is related to #1311, to which | have just posted an example of how to reproduce the error.

#2 - 2008-11-10 09:11 AM - zachariahyoder -

Sorry, trying to do to many things at once...
| think that #1344 is related to #1311, not this one.

However, while | am here on the topic:
| think that pls is mixing up different ideas, although he makes a valid point, which | will try to re-state more clearly.

The "zoom map to selected rows" zooms to whatever is selected. The selected rows are the same as the current selection in the main map, and thus this is
equivalent to selecting the rows in the attribute table and then closing the attribute table window and choosing "zoom to selection". If only two or three
points are selected, then it will zoom until those are on the far sides of the screen. This is the expected behavior.

Zooming to only one point doesn't make much sense, but is discussed in #1344 and #1311, among other places.

The "zoom factor" listed in the Settings->Options->Map Tools, is how fast QGIS will zoom in or out if the user zooms with the scroll wheel on the mouse.
(On some laptops this is operated by sliding one's finger along the right edge of the mouse pad, by the way). So if the user enters 2:1, then it will zoom to
twice or half the current zoom level (in or out) when the user moves the scroll wheel one unit of turn (I'm not quite sure what the technical term for "notch" or
"bump" or whatever those units are supposed to be called!)

Perhaps his solution could save user confusion, and prevent more similar feedback. What if the user were allowed to set maximum zoom level? The
program would then never zoom more than the specified amount. For most maps, such a logical zoom level exists, even if there is no raster present. | think
many users would find this useful. The place suggested (Settings->Options->Map Tools), seems fine to me.

| have changed the title to reflect what | hope is an improved description of the desired feature.

(Please forgive me if | am mixing things up again.... it is the end of a long day...)
#3 - 2011-12-16 01:58 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#4 - 2012-04-15 10:13 AM - Giovanni Manghi
- Target version changed from Version 1.7.4 to Version 2.0.0

#5 - 2012-09-28 08:30 AM - Sandro Santilli

- Assignee deleted (nobody -)
- Pull Request or Patch supplied set to No

| would love to have a "user defined zoom limit" if not else to remove it (I often find myself in need to zoom in more to check robustness issues with
PostGIS).

#6 - 2012-10-06 02:23 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#7 - 2017-05-01 12:50 AM - Giovanni Manghi
- Easy fix? set to No
